#include <stdio.h>
#include <math.h>

int main()
{
    long long t;
    scanf("%lld",&t);
    for (int i=1;i<=t;i++)
    {
        long long a,b;
        scanf("%lld%lld", &a,&b);
        long long m=round(sqrt(a));
        if (b%2)
        {
            printf("-1\n");
            return 0;
        }
        for (long long i=1;i<=m;i++)
        {
            if (a%i==0)
            {
                long long d=a/i;
                if (i^d==b)
                {
                    printf("%lld %lld\n",i,a/i);
                    break;
                }
            }
        }
    }
}